### Method

# GLib KeyFile to_data

since: 2.6

#### Declaration

    gchar*
    g_key_file_to_data (
      GKeyFile* key_file,
      gsize* length,
      GError** error
    )

#### Description

This function outputs `key_file` as a string.

Note that this function never reports an error, so it is safe to pass `NULL` as `error`.

Available since: 2.6

#### Parameters

`length`

  Type: `gsize*`

  Return location for the length of the returned string, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string holding the contents of the `GKeyFile`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.